Package io.dapr.v1

# Interface DaprProtos.RegisterActorTimerRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.RegisterActorTimerRequest`, `DaprProtos.RegisterActorTimerRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.RegisterActorTimerRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`com.google.protobuf.ByteString`
`getActorIdBytes()`
`string actor_id = 2 [json_name = "actorId"];`
`String`
`getActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getActorTypeBytes()`
`string actor_type = 1 [json_name = "actorType"];`
`String`
`getCallback()`
`string callback = 6;`
`com.google.protobuf.ByteString`
`getCallbackBytes()`
`string callback = 6;`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 7;`
`String`
`getDueTime()`
`string due_time = 4 [json_name = "dueTime"];`
`com.google.protobuf.ByteString`
`getDueTimeBytes()`
`string due_time = 4 [json_name = "dueTime"];`
`String`
`getName()`
`string name = 3;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 3;`
`String`
`getPeriod()`
`string period = 5;`
`com.google.protobuf.ByteString`
`getPeriodBytes()`
`string period = 5;`
`String`
`getTtl()`
`string ttl = 8;`
`com.google.protobuf.ByteString`
`getTtlBytes()`
`string ttl = 8;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getActorType

String getActorType()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  The actorType.

### getActorTypeBytes

com.google.protobuf.ByteString getActorTypeBytes()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  The bytes for actorType.

### getActorId

String getActorId()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  The actorId.

### getActorIdBytes

com.google.protobuf.ByteString getActorIdBytes()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  The bytes for actorId.

### getName

String getName()
`string name = 3;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`string name = 3;`

Returns:
  The bytes for name.

### getDueTime

String getDueTime()
`string due_time = 4 [json_name = "dueTime"];`

Returns:
  The dueTime.

### getDueTimeBytes

com.google.protobuf.ByteString getDueTimeBytes()
`string due_time = 4 [json_name = "dueTime"];`

Returns:
  The bytes for dueTime.

### getPeriod

String getPeriod()
`string period = 5;`

Returns:
  The period.

### getPeriodBytes

com.google.protobuf.ByteString getPeriodBytes()
`string period = 5;`

Returns:
  The bytes for period.

### getCallback

String getCallback()
`string callback = 6;`

Returns:
  The callback.

### getCallbackBytes

com.google.protobuf.ByteString getCallbackBytes()
`string callback = 6;`

Returns:
  The bytes for callback.

### getData

com.google.protobuf.ByteString getData()
`bytes data = 7;`

Returns:
  The data.

### getTtl

String getTtl()
`string ttl = 8;`

Returns:
  The ttl.

### getTtlBytes

com.google.protobuf.ByteString getTtlBytes()
`string ttl = 8;`

Returns:
  The bytes for ttl.